<template>
    <v-app>
        <v-navigation-drawer v-model="drawer" fixed app absolute>
            <v-list>
                <v-list-tile>
                    <v-list-tile-content>
                        <v-list-tile-title>
                            <span>Menu</span>
                        </v-list-tile-title>
                    </v-list-tile-content>
                </v-list-tile>
                <v-divider></v-divider>
                <template v-for="item in items">
                    <v-list-tile :href="item.href" :to="{name: item.href}" :key="item.title">
                        <v-list-tile-action>
                            <v-icon light v-html="item.icon"></v-icon>
                        </v-list-tile-action>
                        <v-list-tile-content>
                            <v-list-tile-title v-html="item.title"></v-list-tile-title>
                        </v-list-tile-content>
                    </v-list-tile>
                </template>
            </v-list>
        </v-navigation-drawer>
        <v-toolbar color="indigo darken-1" dark fixed app> <!-- Toolbar en haut de l'écran -->
            <v-toolbar-side-icon @click.stop="drawer = !drawer"></v-toolbar-side-icon>
            <v-toolbar-title> {{ message }} </v-toolbar-title>
            <v-spacer></v-spacer>
            <v-btn icon to="/">
                <v-icon>home</v-icon>
            </v-btn>
        </v-toolbar>
        <v-content>
            <router-view></router-view>
        </v-content>
    </v-app>
</template>


<script>
export default {

  data () {
    return {
      message: 'Bienvenue - Gestion de la vitrine',
      drawer: true,
      items: [{
        href: 'objets',
        router: true,
        title: 'Objets/Collections',
        icon: 'archive'
      }, {
        href: 'categories',
        router: true,
        title: 'Catégories',
        icon: 'all_inclusive'
      }, {
        href: 'vitrineconfig',
        router: true,
        title: 'Vitrines',
        icon: 'dvr'
      }, {
        href: 'personne',
        router: true,
        title: 'Personne',
        icon: 'person'
      }, {
        href: 'langues',
        router: true,
        title: 'Langues',
        icon: 'language'
      }]
    }
  }
}
</script>
